<div
  fullpage
  id="fullpage"
  [options]="config"
  (ref)="getRef($event)"
  *ngIf="showSections; else showLoadingSpinner"
  class="mat-typography"
>
  <div
    class="section"
    *ngFor="let section of sections; let i = index"
    [ngStyle]="{
      background: 'url(' + section.photo + ')',
      'background-size': 'cover'
    }"
  >
    <div class="textSection">
      <h1>{{ section.joke }}</h1>
      <div *ngIf="i === 0">
        <h3>{{ this.emojis }}</h3>
        <h5>{{ this.hint }}</h5>
      </div>
      <div *ngIf="i === sections.length - 1">
        <h3>{{ this.timer }}</h3>
        <h5>© icanhazdadjoke | picsum</h5>
      </div>
    </div>
  </div>
</div>
<ng-template #showLoadingSpinner>
  <div class="bubblingG">
    <span id="bubblingG_1"> </span>
    <span id="bubblingG_2"> </span>
    <span id="bubblingG_3"> </span>
  </div>
</ng-template>
